Get Safe Integration
curl --request GET \
--url https://app.toku.com/api/tokuApi/v1/getGnosisSafeIntegration \
--header 'Authorization: Bearer <token>' \
--header 'x-role-type: <x-role-type>'import requests
url = "https://app.toku.com/api/tokuApi/v1/getGnosisSafeIntegration"
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-role-type': '<x-role-type>', Authorization: 'Bearer <token>'}
};
fetch('https://app.toku.com/api/tokuApi/v1/getGnosisSafeIntegration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasIntegration": true,
"signerPublicKey": "<string>",
"connectedSafeAddress": "0xsafe123...",
"connectedSafeChain": "1",
"isConnectionVerified": true,
"walletBalance": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Custody
Get Safe Integration
Returns Safe/Gnosis integration status including proposer address, connected Safe, and balance.
GET
/
getGnosisSafeIntegration
Get Safe Integration
Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN ⌘I
